### Function

# FwupdPlugin kernel_check_version

#### Declaration [src]

    gboolean
    fu_kernel_check_version (
      const gchar* minimum_kernel,
      GError** error
    )

#### Description [src]

Determines if the system is running at least a certain required kernel version.

Available since: | 1.8.2

#### Parameters

`minimum_kernel` | `const gchar*`
| The minimum kernel version to check against.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.